<div class="d-flex justify-content-between align-items-center flex-wrap">
    <div class="d-flex align-items-center py-3">
        <select class="form-control form-control-sm text-primary font-weight-bold mr-4 border-0 bg-light-primary" style="width: 75px;" onchange="set_param(this, event, 'per_page')">
            <option value="10" {% if 10 == page_obj.paginator.per_page %} selected {% endif %}>10</option>
            <option value="20" {% if 20 == page_obj.paginator.per_page %} selected {% endif %}>20</option>
            <option value="30" {% if 30 == page_obj.paginator.per_page %} selected {% endif %}>30</option>
            <option value="50" {% if 50 == page_obj.paginator.per_page %} selected {% endif %}>50</option>
            <option value="100"{% if 100 == page_obj.paginator.per_page %} selected {% endif %}>100</option>
        </select>
        <span class="text-muted">Menampilkan {{page_obj.paginator.per_page}} dari {{page_obj.paginator.count}} data</span>
    </div>
    <div class="d-flex flex-wrap py-2 mr-3">
        {% if page_obj.has_previous %}
            <button data-value="1" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1"><i class="bi bi-chevron-double-left icon-xs"></i></button>
            <button data-value="{{ page_obj.previous_page_number|stringformat:'s' }}" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1"><i class="bi bi-chevron-left icon-xs"></i></button>
            {% if page_obj.number > 3 %}
            <button data-value="1" class="btn-paginate btn btn-icon btn-sm border-0 btn-active-primary me-2 my-1">1</button>
            {% if page_obj.number > 4 %}
              <button data-value="" class="btn-paginate btn btn-icon btn-sm border-0 btn-active-primary me-2 my-1 disabled">...</button>
            {% endif %}
          {% endif %}
            
        {% else %}
            <button data-value="" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1 disabled"><i class="bi bi-chevron-double-left icon-xs"></i></button>
            <button data-value="" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1 disabled"><i class="bi bi-chevron-left icon-xs"></i></button>
        {% endif %}

        {% for num in page_obj.paginator.page_range %}
          {% if page_obj.number == num %}
            <button data-value="{{ num|stringformat:'s' }}" class="btn-paginate btn btn-icon btn-sm border-0 btn-primary me-2 my-1">{{ num }}</button>
          {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
            <button data-value="{{ num|stringformat:'s' }}" class="btn-paginate btn btn-icon btn-sm border-0 btn-active-primary me-2 my-1">{{ num }}</button>
          {% endif %}
        {% endfor %}

        {% if page_obj.has_next %}
          {% if page_obj.number < page_obj.paginator.num_pages|add:'-3' %}
            <button data-value="" class="btn-paginate btn btn-icon btn-sm border-0 btn-active-primary me-2 my-1 disabled">...</button>
            <button data-value='{{ page_obj.paginator.num_pages|stringformat:"s" }}' class="btn-paginate btn btn-icon btn-sm border-0 btn-active-primary me-2 my-1">{{ page_obj.paginator.num_pages }}</button>
          {% elif page_obj.number < page_obj.paginator.num_pages|add:'-2' %}
            <button data-value='{{ page_obj.paginator.num_pages|stringformat:"s" }}' class="btn-paginate btn btn-icon btn-sm border-0 btn-active-primary me-2 my-1">{{ page_obj.paginator.num_pages }}</button>
          {% endif %}
            <button data-value="{{ page_obj.next_page_number|stringformat:'s' }}" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1"><i class="bi bi-chevron-right icon-xs"></i></button>

            <button data-value="{{ page_obj.paginator.num_pages|stringformat:'s' }}" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1"><i class="bi bi-chevron-double-right icon-xs"></i></button>

        {% else %}
            <button data-value="" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1 disabled"><i class="bi bi bi-chevron-right icon-xs"></i></button>
            <button data-value="" class="btn-paginate btn btn-icon btn-sm btn-light-primary me-2 my-1 disabled"><i class="bi bi-chevron-double-right icon-xs"></i></button>
        {% endif %}
    </div>
</div>

